<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function atanh

Calculate the hyperbolic arctangent of a value,
defined as `atanh(x) = ln((1 + x)/(1 - x)) / 2`.

For matrices, the function is evaluated element wise.


## Syntax

```js
math.atanh(x)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`x` | number &#124; Complex &#124; Array &#124; Matrix | Function input

### Returns

Type | Description
---- | -----------
number &#124; Complex &#124; Array &#124; Matrix | Hyperbolic arctangent of x


## Examples

```js
math.atanh(0.5);       // returns 0.5493061443340549
```


## See also

[acosh](acosh.md),
[asinh](asinh.md)
